cURL
curl -sS -X PATCH 'https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}"
payload = {
"note": "<string>",
"active": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', active: true})
};
fetch('https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"automaticOrder": true,
"approvalRequired": true,
"requireJustification": true,
"slug": "<string>",
"active": true,
"notes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"note": "Remember to include the welcome letter",
"active": true
}
],
"regions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
}
],
"skuLines": [
{
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>",
"regions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
}
],
"vendorCode": "<string>"
}
],
"rules": [
{
"id": "3a68a467-8733-4c8d-a942-16ed7ec33018",
"category_code": "LAPTOP",
"quantity": 1,
"optional": false,
"allowed_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"bundleLines": [
{
"productGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"friendlyId": "<string>",
"name": "<string>",
"sortOrder": 123
}
],
"usedEquipmentPreferences": [
{
"categoryCode": "<string>",
"preference": "NEW_FIRST",
"inStockOnly": true
}
],
"skuIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignedTo": {
"people": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"deliverySetting": "PERSON",
"defaultOfficeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Packages
Modify package note
Partially update a single note attached to a package. Modifiable fields: note, active. Setting active=false soft-deletes the note. The response includes the full package view plus its notes collection (upsert semantics surfaced via the refreshed notes array).
PATCH
https://apipub.firstbasehq.com
/
api
/
v1
/
packages
/
{slug}
/
notes
/
{noteId}
cURL
curl -sS -X PATCH 'https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{}'import requests
url = "https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}"
payload = {
"note": "<string>",
"active": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', active: true})
};
fetch('https://apipub.firstbasehq.com/api/v1/packages/{slug}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"automaticOrder": true,
"approvalRequired": true,
"requireJustification": true,
"slug": "<string>",
"active": true,
"notes": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"note": "Remember to include the welcome letter",
"active": true
}
],
"regions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
}
],
"skuLines": [
{
"skuId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendorSku": "<string>",
"regions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>"
}
],
"vendorCode": "<string>"
}
],
"rules": [
{
"id": "3a68a467-8733-4c8d-a942-16ed7ec33018",
"category_code": "LAPTOP",
"quantity": 1,
"optional": false,
"allowed_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"bundleLines": [
{
"productGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"friendlyId": "<string>",
"name": "<string>",
"sortOrder": 123
}
],
"usedEquipmentPreferences": [
{
"categoryCode": "<string>",
"preference": "NEW_FIRST",
"inStockOnly": true
}
],
"skuIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignedTo": {
"people": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"deliverySetting": "PERSON",
"defaultOfficeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Body
application/json
Response
Package note updated
Package details returned by get/list package endpoints